%define upstream_name    Tk-CursorControl
%define upstream_version 0.4

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17
BuildArch:	noarch

Summary:	Manipulate the mouse cursor programmatically
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:		fix-cursor-widget-demo-conflict.patch

BuildRequires:	perl(Tk)
BuildRequires:	perl-devel


%{?perl_default_filter}

%description
Tk::CursorControl is -NOT- a Tk::Widget. Rather, it uses Tk and
encompasses a collection of methods used to manipulate the cursor (aka
pointer) programmatically from a Tk program.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-17.mga6
+ Revision: 1035403
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.400.0-16.mga6
+ Revision: 971501
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.400.0-15.mga6
+ Revision: 891774
- make it noarch thus fixing empty debuginfo

* Fri Jun 26 2015 tv <tv> 0.400.0-14.mga6
+ Revision: 845394
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.400.0-13.mga6
+ Revision: 841169
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-12.mga5
+ Revision: 746098
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.400.0-11.mga5
+ Revision: 736118
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-10.mga5
+ Revision: 686721
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.400.0-9.mga5
+ Revision: 632329
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.400.0-8.mga4
+ Revision: 524136
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.400.0-7.mga4
+ Revision: 430247
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-6.mga3
+ Revision: 374416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.400.0-5.mga3
+ Revision: 251280
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.400.0-4.mga2
+ Revision: 105084
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.400.0-3.mga1
+ Revision: 32502
- mageia rebuild
- imported package perl-Tk-CursorControl

